OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelData

Description

This is a purely internal helper module.

# Documentation

data PixelData a Source

Constructors

PixelData PixelFormat DataType (Ptr a) |

Instances

Eq (PixelData a) |
Ord (PixelData a) |
Show (PixelData a) |

withPixelData :: PixelData a -> (GLenum -> GLenum -> Ptr a -> b) -> bSource